## org.eclipse.datatools.enablement.sybase.ddl
Class SybaseDdlUtils

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ddl.SybaseDdlUtils

All Implemented Interfaces:
  ISybaseDdlConstants, IGenericDdlConstants

    public class SybaseDdlUtils

extends java.lang.Object
implements IGenericDdlConstants, ISybaseDdlConstants

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.IGenericDdlConstants

`ADD, AFTER, ALIAS, ALTER, AS, BEFORE, BLOB, CASCADE, CASCADED, CHECK, CLOB, COMMA, COMPARISONS, CONSTRAINT, CREATE, DATALINK, DBCLOB, DEFAULT, DEFERRABLE, DEFERRED, DELETE, DOT, DOUBLE_QUOTE, DROP, EACH, EMPTY_STRING, FOR, FOREIGN_KEY, FUNCTION, INDEX, INITIALLY, INSERT, INSTEAD_OF, LEFT_PARENTHESIS, LOCAL, LONG, MODIFY, NEW, NEW_TABLE, NEWLINE, NO, NOT, NULL, OF, OLD, OLD_TABLE, ON, OPTION, PRIMARY_KEY, PROCEDURE, REFERENCES, REFERENCING, RENAME, RESTRICT, RIGHT_PARENTHESIS, ROW, SET, SINGLE_QUOTE, SPACE, STATEMENT, TAB, TABLE, TRIGGER, TYPE, UNIQUE, UPDATE, VARCHAR, VARGRAPHIC, VIEW, WHEN, WITH`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, RENAME, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, SP_RENAME, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Constructor Summary
`SybaseDdlUtils()`

Method Summary
`static java.lang.String` `getIndexMember(boolean quoteIdentifiers, IndexMember member, boolean hasComma)` Get the index member
`static java.lang.String` `getIndexMemberKeys(org.eclipse.emf.common.util.EList members, boolean quoteIdentifiers)` Get index members stattement by the members list
`static java.lang.String` `getSQLObjectName(SQLObject obj, boolean quoteIdentifiers, boolean qualifyNames)` Get SQL object name
`static boolean` `isEqualIndexMembers(java.lang.Object newValue, java.lang.Object oldValue)` Checked the index member is equals, used in detal ddl

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseDdlUtils

    public SybaseDdlUtils()

Method Detail

### getSQLObjectName

    public static java.lang.String getSQLObjectName(SQLObject obj,
                                                    boolean quoteIdentifiers,
                                                    boolean qualifyNames)

  Get SQL object name

  Parameters:
    `obj` -
    `quoteIdentifiers` - quoted identifier option
    `qualifyNames` - qualify
  Returns:

### getIndexMemberKeys

    public static java.lang.String getIndexMemberKeys(org.eclipse.emf.common.util.EList members,
                                                      boolean quoteIdentifiers)

  Get index members stattement by the members list

  Parameters:
    `members` - Index member list
    `quoteIdentifiers` - quoted identifier option
  Returns:

### getIndexMember

    public static java.lang.String getIndexMember(boolean quoteIdentifiers,
                                                  IndexMember member,
                                                  boolean hasComma)

  Get the index member

  Parameters:
    `quoteIdentifiers` - quoted identifier option
    `member` - index member
    `hasComma` - comma flag
  Returns:

### isEqualIndexMembers

    public static boolean isEqualIndexMembers(java.lang.Object newValue,
                                              java.lang.Object oldValue)

  Checked the index member is equals, used in detal ddl

  Parameters:
    `newValue` -
    `oldValue` -
  Returns: